local mnu
local valFormats = { 
	[NEED] =	"<html alignx='right' fontsize='14'><tip_red><r name='value'/></tip_red></html>",
	[GREED] =	"<html alignx='right' fontsize='14'><tip_green><r name='value'/></tip_green></html>",
	[SAME] =	"<html alignx='right' fontsize='14'><tip_golden><r name='value'/></tip_golden></html>",
	[PASS] =	"<html alignx='right' fontsize='14'><tip_blue><r name='value'/></tip_blue></html>",
	[ON] =		"<html alignx='right' fontsize='14'><tip_green><r name='value'/></tip_green></html>",
	[OFF] =		"<html><log_dark_white><body alignx='right' fontsize='14'><r name='value'/></body></log_dark_white></html>",
	}
local function valShapes(itemName, value)
	if itemName == "all" or itemName == "wcc" or itemName == "ll" or itemName == "junk" then
		--LogToChat(value..":"..L(namePGN[value]))
		return L(namePGN[value])
	else
		return L(value)
	end
end

local onoff = { ON, OFF }
local png = { NEED, GREED, SAME, PASS }
local pngOFF = { NEED, GREED, SAME, PASS, OFF }


menuUpdate = function()
	if not mnu then return end

	local k, v
	for i, item in mnu.strucMenu do
		if item.cmd or not item.name then
		else
			k = item.name
			v = get_PS( k )
			item.value = v
			mnu:setVal( item )
		end
	end
end

local function FUNC_rMenu( item )
	local cmd, val, b
	cmd = "/ex1 "..item.name

	if item.cmd then
		if item.name == "load" then
			fromConfig()
		elseif item.name == "save" then
			toConfig()
		elseif item.name == "reset" then
			reset_PS()
		end
	else
		set_PS(item.name, item.value)

		if item.name == "all" or item.name == "wcc" or item.name == "ll" or item.name == "junk" then
			val = namePGN[item.value]
		else
			val = item.value
		end
		if val then item.parent:ItemFade( item, val == OFF and 0.7 or 1) end

	end

	---   
	if val then cmd = cmd.."="..val end
	LogToChat(cmd)
end

-------------------------------------------------------------------------------
function mainMenuToggle( pars )
	if mnu then
		---exObj("pars",pars)
		wtChain( mnu.wtMenu, pars.reaction.widget , 0, 0 )
		menuUpdate()
		mnu:Show( true )
	else ---LogInfo("mainMenu.ShowToggle - mnu = nil")
	end
end
----------------------------------------------------------------
------ INIT
----------------------------------------------------------------
function GUIinit()
	local strucMenu = 
	{
		{ token = "_", label = "COMMANDS", },
		{ name = "load", label = L("Load Settings"), cmd=1 },
		{ name = "save", label = L("Save Settings"), cmd=1 },
		{ token = "_", label = "SETTINGS", },
		{ name = "junk", label = L("Junk"), type = "_txt", listVals = pngOFF, chars = 10, tip = L("choice for junk items") },
		{ name = "sjunk", label = L("Auto Sell Junk"), type = "_txt", listVals = onoff },
		{ name = "wjunk", label = L("Wipe Junk Cheaper"), type = "_edl", chars=3, tip=L("Wipe junk items if its selling cost less then value") },
		{ token = "_", label = "", },
		{ token = "_3", label = "------***------", },
		{ name = "prior", label = L("Inteface Priority"), type = "_edl", chars=5 },
		{ name = "reset", label = L("Reset to Config.txt"), cmd=1 },
	}

	mnu = menu{ strucMenu = strucMenu, priority = 500, mouse_overRun = true, fadeOn = 100, fadeOff = 600,
		mouse_left_click = FUNC_rMenu,
		valFormats = valFormats,
		valShapes = valShapes,
		itemSizeX = 300,
	}
	mnu:init({})
	DnD:Init( mnu.wtMenu, mnu.wtMenu, false)

end

